Subject: Re: bug#11400: 24.0.95; `url-copy-file' doesn't respect the umask

From: Donald Ephraim Curtis <[email-masked]>
Date: Thu, 10 May 2012 17:23:27 -0500

> Well, you could put it that way, or you could say that by default it

> creates private copies. Isn't this standard practice for many
> applications that download things?

I don't agree with this argument.  Why is a "private" copy implied?  When I use `cp' I don't expect `cp' to dictate its own permissions.

What other applications behave in this way?  I use `curl' and `wget' to copy url contents and they respect the umask.

In the end, I don't care if this changes or not, but the bigger problem is that the documentation needs to direct people to the `mm-attachment-file-modes' variable because it is definitely not intuitive that the umask is determined from there.  

dc